# Generated by Django 2.1.7 on 2021-02-25 17:20

from django.conf import settings
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('customers', '0004_create_groups'),
    ]

    operations = [
        migrations.CreateModel(
            name='FeasibilityTablesBase',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.AutoField(primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('filters', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('assigned_to_me', models.BooleanField(default=False)),
                ('create_me', models.BooleanField(default=False)),
                ('last_time_type', models.PositiveIntegerField(choices=[(0, 'Minutos'), (1, 'Horas'), (2, 'Dias'), (3, 'Semanas'), (4, 'Meses'), (5, 'Trimestre'), (6, 'Año')], null=True)),
                ('last_time', models.PositiveIntegerField(null=True)),
                ('columns', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('name', models.CharField(max_length=100)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='HistoricalCustomerTablesModel',
            fields=[
                ('feasibilitytablesbase_ptr', models.ForeignKey(auto_created=True, blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, parent_link=True, related_name='+', to='customers.FeasibilityTablesBase')),
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('filters', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('assigned_to_me', models.BooleanField(default=False)),
                ('create_me', models.BooleanField(default=False)),
                ('last_time_type', models.PositiveIntegerField(choices=[(0, 'Minutos'), (1, 'Horas'), (2, 'Dias'), (3, 'Semanas'), (4, 'Meses'), (5, 'Trimestre'), (6, 'Año')], null=True)),
                ('last_time', models.PositiveIntegerField(null=True)),
                ('columns', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('name', models.CharField(max_length=100)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('updater', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical customer tables model',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalFeasibilityTablesBase',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('filters', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('assigned_to_me', models.BooleanField(default=False)),
                ('create_me', models.BooleanField(default=False)),
                ('last_time_type', models.PositiveIntegerField(choices=[(0, 'Minutos'), (1, 'Horas'), (2, 'Dias'), (3, 'Semanas'), (4, 'Meses'), (5, 'Trimestre'), (6, 'Año')], null=True)),
                ('last_time', models.PositiveIntegerField(null=True)),
                ('columns', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('name', models.CharField(max_length=100)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('updater', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical feasibility tables base',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalLeadletTablesModel',
            fields=[
                ('feasibilitytablesbase_ptr', models.ForeignKey(auto_created=True, blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, parent_link=True, related_name='+', to='customers.FeasibilityTablesBase')),
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('filters', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('assigned_to_me', models.BooleanField(default=False)),
                ('create_me', models.BooleanField(default=False)),
                ('last_time_type', models.PositiveIntegerField(choices=[(0, 'Minutos'), (1, 'Horas'), (2, 'Dias'), (3, 'Semanas'), (4, 'Meses'), (5, 'Trimestre'), (6, 'Año')], null=True)),
                ('last_time', models.PositiveIntegerField(null=True)),
                ('columns', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('name', models.CharField(max_length=100)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('updater', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical leadlet tables model',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalLeadTablesModel',
            fields=[
                ('feasibilitytablesbase_ptr', models.ForeignKey(auto_created=True, blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, parent_link=True, related_name='+', to='customers.FeasibilityTablesBase')),
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('filters', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('assigned_to_me', models.BooleanField(default=False)),
                ('create_me', models.BooleanField(default=False)),
                ('last_time_type', models.PositiveIntegerField(choices=[(0, 'Minutos'), (1, 'Horas'), (2, 'Dias'), (3, 'Semanas'), (4, 'Meses'), (5, 'Trimestre'), (6, 'Año')], null=True)),
                ('last_time', models.PositiveIntegerField(null=True)),
                ('columns', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('name', models.CharField(max_length=100)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('updater', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical lead tables model',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='CustomerTablesModel',
            fields=[
                ('feasibilitytablesbase_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='customers.FeasibilityTablesBase')),
            ],
            options={
                'abstract': False,
            },
            bases=('customers.feasibilitytablesbase',),
        ),
        migrations.CreateModel(
            name='LeadletTablesModel',
            fields=[
                ('feasibilitytablesbase_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='customers.FeasibilityTablesBase')),
            ],
            options={
                'abstract': False,
            },
            bases=('customers.feasibilitytablesbase',),
        ),
        migrations.CreateModel(
            name='LeadTablesModel',
            fields=[
                ('feasibilitytablesbase_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='customers.FeasibilityTablesBase')),
            ],
            options={
                'abstract': False,
            },
            bases=('customers.feasibilitytablesbase',),
        ),
        migrations.AddField(
            model_name='feasibilitytablesbase',
            name='creator',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='customers_feasibilitytablesbase_creator', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='feasibilitytablesbase',
            name='updater',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='customers_feasibilitytablesbase_updater', to=settings.AUTH_USER_MODEL),
        ),
    ]
